%define name oggvorbis
%define version 0.0.20000904
%define prefix %{_prefix}
%define release 12mdk

Name: %{name}
Summary: Tools to encode/convert Ogg Vorbis audio files, a Patent-Free replacement to the mp3 format
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Sound
Source0: http://www.xiph.org/ogg/vorbis/download/vorbis_nightly_cvs.tgz
Patch0: vorbis-fix-mp3tovorbis.patch.bz2
Patch1: vorbis-xmms-fix-title.patch.bz2
Patch2: vorbis-add-ogginfo.patch.bz2
Patch3: vorbis-add-sharedlib.patch.bz2
Patch4: vorbis-ameliorate-ogg123.patch.bz2
Patch5: vorbis-fix-noaudiodevice.patch.bz2
URL: http://www.xiph.org/ogg/vorbis/index.html
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: xmms-devel
Requires: mpg123

%description
Ogg Vorbis is a fully Open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for high quality (44.1-48.0kHz, 16+
bit, polyphonic) audio and music at fixed and variable bitrates from 16 to 128
kbps/channel. This places Vorbis in the same class as audio representations
including MPEG-1 audio layer 3, MPEG-4 audio (AAC and TwinVQ), and PAC.

Encoding: use `oggenc' (currently, only 44.1 kHz 16 bit stereo PCM)
Converting: use `mp3tovorbis'
Playing: use `ogg123'

WARNING, THIS IS BETA SOFTWARE.


%package devel
Copyright: LGPL
Summary: Development library and includes for Ogg Vorbis 
Group: Development/C

%description devel
Ogg Vorbis is a fully Open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for high quality (44.1-48.0kHz, 16+
bit, polyphonic) audio and music at fixed and variable bitrates from 16 to 128
kbps/channel. This places Vorbis in the same class as audio representations
including MPEG-1 audio layer 3, MPEG-4 audio (AAC and TwinVQ), and PAC.

Development files for Ogg Vorbis.

%package examples
Copyright: GPL
Summary: Some example programs for Ogg Vorbis
Group: Development/C

%description examples
Ogg Vorbis is a fully Open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for high quality (44.1-48.0kHz, 16+
bit, polyphonic) audio and music at fixed and variable bitrates from 16 to 128
kbps/channel. This places Vorbis in the same class as audio representations
including MPEG-1 audio layer 3, MPEG-4 audio (AAC and TwinVQ), and PAC.

Example file for oggvorbis: chaining_example, encoder_example, 
decoder_example, vorbisfile_example.

%package -n xmms-oggvorbis
Summary: XMMS - Input plugin to play Ogg Vorbis audio files (*.ogg)
Group: Sound
Requires: xmms
Obsoletes: oggvorbis-xmms

%description -n xmms-oggvorbis
Ogg Vorbis is a fully Open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for high quality (44.1-48.0kHz, 16+
bit, polyphonic) audio and music at fixed and variable bitrates from 16 to 128
kbps/channel. This places Vorbis in the same class as audio representations
including MPEG-1 audio layer 3, MPEG-4 audio (AAC and TwinVQ), and PAC.

This package provides the input plugin to enable xmms with the capability of
reading files in the Ogg Vorbis audio format (*.ogg).

%prep
%setup -q -n vorbis
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p0
perl -pi -e 's/CFLAGS=\"\$\(OPT\)\"//g' Makefile.in */Makefile.in

%build
%configure
export CFLAGS="$CFLAGS -D_REENTRANT -fsigned-char -I. -I../include  -DUSE_ALLOCA_H -DUSE_MEMORY_H -Dvorbis_size32_t='int'"
make
(cd vq ; make )
(cd huff ; make )
(cd vorbis-tools ; make)
(cd xmms ; export CFLAGS="$CFLAGS `gtk-config --cflags`" ; make)

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}/vorbis/book
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/xmms/Input
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install huff/{residuesplit,huffbuild} $RPM_BUILD_ROOT%{_bindir}/
install lib/psytune $RPM_BUILD_ROOT%{_bindir}/
install vorbis-tools/{mp3tovorbis,ogg123,oggenc,vorbiscomment,ogginfo} $RPM_BUILD_ROOT%{_bindir}/
install include/vorbis/*.h $RPM_BUILD_ROOT%{_includedir}/vorbis/
install include/vorbis/book/*.vqh $RPM_BUILD_ROOT%{_includedir}/vorbis/book/
install lib/libvorbis.a $RPM_BUILD_ROOT%{_libdir}/
install lib/libvorbis.so $RPM_BUILD_ROOT%{_libdir}/
install lib/vorbisfile.a $RPM_BUILD_ROOT%{_libdir}/
install vorbis-tools/libao/libao.a $RPM_BUILD_ROOT%{_libdir}/
install vorbis-tools/libao/libao.so $RPM_BUILD_ROOT%{_libdir}/
install vorbis-tools/*.1 $RPM_BUILD_ROOT/%{_mandir}/man1
install xmms/libvorbis.so $RPM_BUILD_ROOT/%{_libdir}/xmms/Input
install vq/{genericvqtrain,latticebuild,latticehint,latticepare,latticetune,\
lspvqtrain,residue_entropy,residuevqtrain,vqbuild,vqcascade,vqmetrics} $RPM_BUILD_ROOT%{_bindir}/
install examples/*example $RPM_BUILD_ROOT/%{_libdir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%doc README COPYING docs/*.html docs/*.png
%{_bindir}/mp3tovorbis
%{_bindir}/ogg123
%{_bindir}/oggenc
%{_bindir}/vorbiscomment
%{_bindir}/ogginfo
%{_mandir}/man1/*

%files devel
%defattr(-, root, root, 0755)
%doc README docs/*.{png,html}
%{_includedir}/vorbis/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_bindir}/psytune
%{_bindir}/residuesplit
%{_bindir}/huffbuild
%{_bindir}/genericvqtrain
%{_bindir}/latticebuild
%{_bindir}/latticehint
%{_bindir}/latticepare
%{_bindir}/latticetune
%{_bindir}/lspvqtrain
%{_bindir}/residue_entropy
%{_bindir}/residuevqtrain
%{_bindir}/vqbuild
%{_bindir}/vqcascade
%{_bindir}/vqmetrics

%files examples
%defattr(-, root, root, 0755)
%doc examples/*.c
%{_libdir}/%{name}/*example

%files -n xmms-oggvorbis
%defattr(-, root, root, 0755)
%doc xmms/README COPYING.LIB
%{_libdir}/xmms/Input/*

%changelog
* Sun Oct 01 2000 Daouda Lo <daouda@mandrakesoft.com> 0.0.20000904-12mdk
- add Obsoletes:oggvorbis-xmms to spec file 

* Fri Sep 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.20000904-11mdk
- patch to the xmms plugin in order not to segfault when dsp not available

* Thu Sep 21 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.20000904-10mdk
- xmms-oggvorbis depends on xmms, thanks to fredl

* Tue Sep 12 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.20000904-9mdk
- added pause to ogg123 for chmou. [ultra dirty]

* Mon Sep 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.20000904-8mdk
- patched ogg123 to enable going directly to next song when return is stroke
  on keyboard [Damien's request]

* Mon Sep  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.20000904-7mdk
- upgrade to new version, to fix the memory leak with xmms plugin
- `vorbize' is no more: patched `mp3tovorbis' to use oggenc instead of vorbize

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.20000826-7mdk
- moved *.so from main package to devel package

* Mon Aug 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.20000826-6mdk
- merged with very good work from Reinhard Katzmann <reinhard@suamor.de>
  - Renamed xmms plugin
  - Added devel package
  - Added a patch so shared libraries are built instead of static only
  - Added vq, huff
  - Corrected xmms document file
  - Added possible entry for kmpg but I don't want to habe KDE Beta on my system.
- moved example binaries to somewhere else, we can't put binaries in /usr/share
- moved the binaries from vq/ and huff/ to the devel package

* Mon Aug 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.20000826-5mdk
- coded a basic `ogginfo' binary, to get out the length of an ogg file

* Mon Aug 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.20000826-4mdk
- xmms-plugin: wrote a patch to fix the appearance of the title of the song
  when no information is contained in the file

* Sun Aug 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.20000826-3mdk
- better versions of the encoder and decoder
- better description tag
- now includes the mp3tovorbis script (depends on mpg123)
- now includes man pages

* Sat Aug 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.20000826-2mdk
- now includes also the decoder and encoder
- more docs

* Sat Aug 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.20000826-1mdk
- first package for Linux-Mandrake
- Ogg Vorbis is a Patent-Free replacement to the mp3 format
  please visit http://www.xiph.org/ogg/vorbis/index.html
- code is grabbed from a daily CVS, so had to decide a version by myself :-(

